Subject: RFC1122 suggests errata for RFC793

From: "Ian! D. Allen" <[email-masked]>
Date: Fri, 22 Sep 2006 14:17:07 -0400

RFC793 should acknowledge in "Errata" this note posted in RFC1122:

ftp://ftp.rfc-editor.org/in-notes/rfc1122.txt

 4.2.2.8  TCP Connection State Diagram: RFC-793 Section 3.2,
    page 23

    There are several problems with this diagram:

    (a)  The arrow from SYN-SENT to SYN-RCVD should be labeled
         with "snd SYN,ACK", to agree with the text on page 68
         and with Figure 8.

Either RFC1122 is wrong (in which case *it* needs an Errata entry), or
RFC793 is wrong, in which case *it* needs an Errata entry.  They can't
both be right!

At the very least, pending expert opinion on which document is correct,
you as editor would do the world a service by giving *both* documents
an Errata note mentioning the blatant protocol conflict.

Because of the above protocol diagram change given in RFC1122 (and others
in the same section), RFC1122 should also be mentioned as "updating"
RFC793, and RFC793 should be documented as being "updated by" RFC1122.

-- 
| Ian! D. Allen  -  [email-masked]  -  Ottawa, Ontario, Canada
| Home Page: http://www.idallen.com/ - Contact Improv: http://contactimprov.ca/
| College professor (Open Source / Linux) via: http://teaching.idallen.com/
| Support the public commons and public digital rights:  http://eff.org/